# This file is a template, and might need editing before it works on your project.
# This is the Gradle build system for JVM applications
# https://gradle.org/
# https://github.com/gradle/gradle
image: gradle:7.4.2-jdk17

# Disable the Gradle daemon for Continuous Integration servers as correctness
# is usually a priority over speed in CI environments. Using a fresh
# runtime for each build is more reliable since the runtime is completely
# isolated from any previous builds.
variables:
  GRADLE_OPTS: "-Dorg.gradle.daemon=false"
  
stages:
  - distribution
  

before_script:
  - export GRADLE_USER_HOME=`pwd`/.gradle

distribution:
  stage: distribution
  script:
    - gradle build asciidoctor copyLicense -i
    - gradle dists -i
  artifacts:
    paths:
      - service/build/libs/*.jar
      - service/build/asciidoc/*
      - service/build/distributions/*
    expire_in: 1 week
  
after_script:
  - echo "End CI"
